source: ttyvaders/trunk/configure.ac @ 3227

Last change on this file since 3227 was 2991, checked in by Sam Hocevar, 14 years ago

Hide autotools files in .auto/ instead of autotools/.

  • Property svn:keywords set to Id
File size: 1.2 KB
RevLine 
[72]1# $Id: configure.ac 2991 2008-10-18 21:42:30Z sam $
[18]2
[126]3AC_INIT(ttyvaders,0.0cvs-20031110)
[18]4
5AC_PREREQ(2.50)
6AC_CONFIG_SRCDIR(src/main.c)
[2991]7AC_CONFIG_AUX_DIR(.auto)
[18]8AC_CANONICAL_SYSTEM
9
[126]10AM_INIT_AUTOMAKE(ttyvaders,0.0cvs-20031110)
[18]11AM_CONFIG_HEADER(config.h)
12
13AM_PROG_CC_C_O
14AC_PROG_CPP
15
[158]16dnl AC_PROG_EGREP only exists in autoconf 2.54+, so we use AC_EGREP_CPP right
[990]17dnl now otherwise it might be set in an obscure if statement. Same thing for
18dnl PKG_PROG_PKG_CONFIG which needs to be called first.
19AC_EGREP_CPP(yes, foo)
20PKG_PROG_PKG_CONFIG()
[158]21
[990]22dnl Don't let pkg-config fuck our cross-compilation environment
23m4_pattern_allow([^PKG_CONFIG_LIBDIR$])
24if test "$build" != "$host" -a "${PKG_CONFIG_LIBDIR}" = ""; then
25  export PKG_CONFIG_LIBDIR=/dev/null
[18]26fi
27
[990]28CACA="no"
[2990]29PKG_CHECK_MODULES(CACA, caca >= 0.99.beta15,
[990]30 [CACA="yes"],
31 [AC_MSG_RESULT(no)
[2990]32  AC_MSG_ERROR([you need libcaca version 0.99.beta15 or later])])
[990]33
[126]34# Optimizations
35CFLAGS="${CFLAGS} -g -O2 -fno-strength-reduce -fomit-frame-pointer"
36# Code qui fait des warnings == code de porc == deux baffes dans ta gueule
[188]37CFLAGS="${CFLAGS} -Wall -Wpointer-arith -Wcast-align -Wcast-qual -Wstrict-prototypes -Wshadow -Waggregate-return -Wmissing-prototypes -Wnested-externs -Wsign-compare"
[126]38
[18]39AC_OUTPUT([
40  Makefile
41  src/Makefile
[118]42  data/Makefile
[18]43])
44
Note: See TracBrowser for help on using the repository browser.